unit Txdraw;

{By Doodu Ohana}
{A simple component that draws a resizeable X shape}
{Designed for Delphi 1.0}


interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, wintypes;

type
  Tx = class(TGraphicControl)
  private
    xcolor: tcolor;
    xwid: integer;
    { Private declarations }
    xShow : boolean;
    procedure SetColor(Value : Tcolor);
    procedure SetWidth(Value : integer);
    procedure Show(Value : boolean);
  protected
    { Protected declarations }
    procedure Paint; override;
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;
  published
    { Published declarations }

    {own properties}
    property Color: Tcolor read Xcolor Write SetColor;
    property Thickness: integer read Xwid Write SetWidth;

    {  inherited properties }
    property Align;
    property Cursor;
    property Visible;

    property OnClick;
    property OnDblClick;
    property OnDragDrop;
    property OnDragOver;
    property OnEndDrag;
    property OnMouseDown;
    property OnMouseMove;
    property OnMouseUp;
  end;

procedure Register;

implementation


constructor Tx.Create;
begin
   inherited Create(AOwner);
   thickness := 3;
   xcolor := clblack;

   xshow := true;
   canvas.pen.width := xwid;
   canvas.pen.color := xcolor;
end;


procedure Tx.Paint;
begin
  inherited paint;
  if xshow then begin
  Canvas.moveto(0,0);
  Canvas.lineto(Width,Height);
  Canvas.moveto(0,height);
  Canvas.lineto(Width,0);
  end;
end;

procedure Tx.SetColor(value : Tcolor);
begin
  xColor := value;
  canvas.pen.color := value;
  paint;
end;

procedure tx.SetWidth(value : integer);
begin
  xWid := value;
  Canvas.Pen.Width := Value;
  paint;
end;

procedure Tx.Show(value : boolean);
begin
  xshow := value;
  paint;
end;

{procedure Tborderlabel.SetStyle(value : TPenStyle);
begin
  Canvas.Pen.Style := value;
  paint;
end;}

procedure Register;
begin
  RegisterComponents('Standard', [Tx]);
end;

end.
